import { dev } from "$app/environment";
import { Lucia } from "lucia";
export class LuciaAdapter extends Lucia {
    constructor(adapter, options) {
        super(adapter, {
            sessionCookie: {
                attributes: {
                    secure: !dev,
                },
                name: "aidc_session",
            },
            ...options,
        });
    }
}
